//  The employee class
//
//  Includes (most) information about an employee.  The data fields
//  are protected from modification by the application.

class Empl {
    char fname[20], lname[20];
    float salary;
  public:
    Empl();			// Default constructor
    Empl(const char *fn, const char *ln);
    ~Empl();			// Destructor
    void Print();
    void Update(float sal);
    void Update(const char *fn, const char *ln);

    //	Functions to set the values of the data fields
    //    The strncpy() relies on all fields being zero'd by the
    //    constructor.
    void SetSalary(float sal)	  { salary = sal; }
    void SetFname(const char *fn) { strncpy(fname, fn, sizeof(fname)-1); }
    void SetLname(const char *ln) { strncpy(lname, ln, sizeof(lname)-1); }

    //	Functions to retrieve the data fields' values.
    const float GetSalary()	{ return salary; }
    const char* GetFname()	{ return fname; }
    const char* GetLname()	{ return lname; }
};
