#include <iostream>
#include <string>

using namespace std;

#include "empl41.h"	// Our Empl class...

void Empl::InitEmpl()
{
    salary = 0.0;
    fname = new char[ 5 ]; strcpy(fname, "none");
    lname = new char[ 5 ]; strcpy(lname, "none");
}

// The default constructor doesn't take any arguments
Empl::Empl()
{
    InitEmpl();
}

// This one takes two arguments
Empl::Empl(const char *fn, const char *ln)
{
    InitEmpl();
    SetFname(fn);
    SetLname(ln);
}

Empl::~Empl()
{
    //  Nothing to do here (yet)
}

//  Update the salary only.
void Empl::Update(float sal)
{
    SetSalary(sal);
}

//  Update first and last name.
void Empl::Update(const char *fn, const char *ln)
{
    SetFname(fn);
    SetLname(ln);
}

void Empl::Print()
{
    cout << "Name:   " << GetLname() << ", " << GetFname() << endl;
    cout << "Salary: " << GetSalary() << endl;
}

void Empl::SetFname(const char *fn)
{
    if (fn != 0) {
	delete [] fname;
	fname = new char[ strlen(fn)+1 ];
	strcpy(fname, fn);
    }
}

void Empl::SetLname(const char *ln)
{
    if (ln != 0) {
	delete [] lname;
	lname = new char[ strlen(ln)+1 ];
	strcpy(lname, ln);
    }
}
